Bug 187510 - [PATCH] ftp/proftpd - Updated to work with mod_clamav/0.23rc2
Summary: [PATCH] ftp/proftpd - Updated to work with mod_clamav/0.23rc2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Matuska
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-12 20:30 UTC by joe
Modified: 2014-03-14 22:02 UTC (History)
0 users

See Also:


Attachments
file.diff (2.98 KB, patch)
2014-03-12 20:30 UTC, joe
no flags Details | Diff
patches-2.patch (3.02 KB, patch)
2014-03-13 15:34 UTC, joe
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description joe 2014-03-12 20:30:00 UTC
Hello,

Please find the attached patch file that enables the building of the
mod_clamav module with ProFTPd as of SVN revision 347889. As you may
know, mod_clamav was disabled in the current port.

The newer mod_clamav version is much improved over previous versions.

Please report any problems to myself and/or this PR.

Best Regards,
-Joseph Benden
http://www.benden.us/

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2014-03-12 20:30:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mm

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 joe 2014-03-13 15:34:53 UTC
Hello,

The attached patch downloads the binary in a better format (package
name, instead of version string).

Best Regards,
-Joseph Benden
Comment 3 dfilter service freebsd_committer 2014-03-14 14:26:50 UTC
Author: mm
Date: Fri Mar 14 14:26:42 2014
New Revision: 348238
URL: http://svnweb.freebsd.org/changeset/ports/348238
QAT: https://qat.redports.org/buildarchive/r348238/

Log:
  Re-enable support for mod_clamav [1]
  Remove remains of mod_sql_tds
  
  PR:		187510 [1]
  Submitted by:	Joseph Benden <joe@thrallingpenguin.com> [1]

Modified:
  head/ftp/proftpd/Makefile
  head/ftp/proftpd/distinfo

Modified: head/ftp/proftpd/Makefile
==============================================================================
--- head/ftp/proftpd/Makefile	Fri Mar 14 14:14:14 2014	(r348237)
+++ head/ftp/proftpd/Makefile	Fri Mar 14 14:26:42 2014	(r348238)
@@ -3,15 +3,13 @@
 
 PORTNAME?=	proftpd
 PORTVERSION?=	1.3.4d
-PORTREVISION?=	1
+PORTREVISION?=	2
 CATEGORIES?=	ftp
 MASTER_SITES=	ftp://ftp.proftpd.org/distrib/source/ \
 		https://github.com/downloads/proftpd/proftpd.github.com/ \
 		ftp://proftpd.networkedsystems.co.uk/distrib/source/ \
 		http://www.mirrorservice.org/sites/ftp.proftpd.org/distrib/source/ \
-		http://labratsoftware.com/mod_sql_tds/:sql_tds \
-		LOCAL/beech:sql_tds
-#		https://secure.thrallingpenguin.com/redmine/attachments/download/1/:clam
+		https://codeload.github.com/jbenden/mod_clamav/legacy.tar.gz/v0.13rc2?dummy=/:clamav
 .if defined(_BUILDING_PROFTPD_MODULE)
 DISTNAME=	proftpd-${PORTVERSION}
 .endif
@@ -81,10 +79,10 @@ PLIST_FILES+=	libexec/proftpd/${m}.a \
 .endfor
 PLIST_DIRSTRY+=	libexec/proftpd
 .else
-OPTIONS_DEFINE=	HTMLDOCS IPV6 NLS MEMCACHE PCRE
+OPTIONS_DEFINE=	HTMLDOCS IPV6 NLS MEMCACHE PCRE CLAMAV
 OPTIONS_DEFAULT=	IPV6 NLS PCRE
 
-#CLAMAV_DESC=		Include mod_clamav
+CLAMAV_DESC=		Include mod_clamav
 HTMLDOCS_DESC=		Include HTML documentation
 MEMCACHE_DESC=		Memcache support using libmemcached
 
@@ -169,23 +167,17 @@ CONFIGURE_ARGS+=	--enable-pcre
 CONFIGURE_ARGS+=	--disable-pcre
 .endif
 
-.if make(makesum) || defined(FETCH_ALL)
+.if ${PORT_OPTIONS:MCLAMAV} || make(makesum) || defined(FETCH_ALL)
 DISTFILES+=	${PORTNAME}-${PORTVERSION}${EXTRACT_SUFX} \
-		mod_sql_tds-4.13${EXTRACT_SUFX}:sql_tds
+		mod_clamav-v0.13rc2${EXTRACT_SUFX}:clamav
+USE_CLAMAV=	yes
+MODULES+=	mod_clamav
+RUN_DEPENDS+=	clamd:${PORTSDIR}/security/clamav
+PLIST_SUB+=	CLAMAV=""
+.else
+PLIST_SUB+=	CLAMAV="@comment " 
 .endif
 
-#.if ${PORT_OPTIONS:MCLAMAV} || make(makesum) || defined(FETCH_ALL)
-#DISTFILES+=	mod_clamav-0.11rc.tar.gz:clam
-#EXTRA_PATCHES+=	${FILESDIR}/extra-patch-modules_mod_xfer.c
-#USE_CLAMAV=	yes
-#MODULES+=	mod_clamav
-#LIB_DEPENDS+=	clamav.7:${PORTSDIR}/security/clamav
-#PLIST_SUB+=	CLAMAV=""
-#PROFTPD_LIBS+=	-lclamav
-#.else
-PLIST_SUB+=	CLAMAV="@comment "
-#.endif
-
 .if ${PORT_OPTIONS:MMEMCACHE}
 MODULES+=		mod_memcache \
 			mod_tls_memcache
@@ -213,11 +205,6 @@ CONFIGURE_ARGS+=	--with-includes=${INCLU
 CONFIGURE_ARGS+=	--with-libraries=${LIBDIRS}
 
 .if !defined(_BUILDING_PROFTPD_MODULE)
-#post-extract:
-#.if ${PORT_OPTIONS:MCLAMAV}
-#	(cd ${WRKDIR} && ${GZIP_CMD} ${EXTRACT_BEFORE_ARGS} ${_DISTDIR}/mod_clamav-0.11rc.tar.gz ${EXTRACT_AFTER_ARGS})
-#	@${CP} ${WRKDIR}/mod_clamav-0.11rc/mod_clamav.* ${WRKSRC}/contrib
-#.endif
 
 post-patch:
 .if ${PORT_OPTIONS:MNLS}
@@ -226,6 +213,9 @@ post-patch:
 	@${REINPLACE_CMD} -e 's|proftpd\.conf|proftpd.conf.sample|g' ${WRKSRC}/Makefile.in
 
 pre-configure:
+.if ${PORT_OPTIONS:MCLAMAV}
+	@${CP} ${WRKDIR}/jbenden-mod_clamav-0b524e3/mod_clamav.* ${WRKSRC}/contrib
+.endif
 	@${ECHO_MSG} "==> Configuring with following modules:"
 	@${ECHO_MSG} "${MODULES:C/^://g}"
 

Modified: head/ftp/proftpd/distinfo
==============================================================================
--- head/ftp/proftpd/distinfo	Fri Mar 14 14:14:14 2014	(r348237)
+++ head/ftp/proftpd/distinfo	Fri Mar 14 14:26:42 2014	(r348238)
@@ -1,4 +1,4 @@
 SHA256 (proftpd-1.3.4d.tar.gz) = c198b53991ce641eae6b3237e856e59f0bfe8330794145b49cae33f85b6f5370
 SIZE (proftpd-1.3.4d.tar.gz) = 7697046
-SHA256 (mod_sql_tds-4.13.tar.gz) = 9d9fb6c4b9a952739a84e166ed8b0d93f539c7bcf73e32923318e00cbd7eea08
-SIZE (mod_sql_tds-4.13.tar.gz) = 11688
+SHA256 (mod_clamav-v0.13rc2.tar.gz) = 06b49e0042fdd86d198ad1b1cf33f2c296cb2b6dcbdd2010df392ec37b670457
+SIZE (mod_clamav-v0.13rc2.tar.gz) = 10841
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Martin Matuska freebsd_committer 2014-03-14 22:02:14 UTC
State Changed
From-To: open->closed

Committed. Thanks!